Imports System.Globalization
Imports AdventureWorks.Cinema.ServiceAccessLayer.WebService

''' <summary>
''' Bildschirm fr die Eingabe der Bezahlmglichkeiten beim Ticket-Kauf.
''' </summary>
Friend Class FormEditPayment

    ''' <summary>
    ''' Property zum Setzen des Status des Demo-Modus.
    ''' </summary>
    Friend WriteOnly Property IsSampleMode() As Boolean
        Set(ByVal value As Boolean)

            ' Setze den Text des Labels passend zum Status des Demo-Modus.
            If value Then
                LabelSampleMode.Text = My.Resources.Text.SampleModeOn
            Else
                LabelSampleMode.Text = My.Resources.Text.SampleModeOff
            End If

        End Set
    End Property

    ''' <summary>
    ''' Property zum Setzen der Vorstellung.
    ''' </summary>
    Friend WriteOnly Property Performance() As Performance
        Set(ByVal value As Performance)

            ' Setze den Text des Labels fr die Vorstellung.
            Me.LabelPerformance.Text = value.ToString

            ' Setze "1" als Standardwert fr die Anzahl der Tickets.
            Dim quantity As Integer = 1
            Me.TextBoxQuantity.Text = _
                quantity.ToString(NumberFormatInfo.CurrentInfo)

        End Set
    End Property

    ''' <summary>
    ''' Ergebnisstruktur.
    ''' </summary>
    Private resultField As EditPaymentResult

    ''' <summary>
    ''' Property zum Auslesen der Ergebnisstruktur.
    ''' </summary>
    Friend ReadOnly Property Result() As EditPaymentResult
        Get
            Return resultField
        End Get
    End Property

    ''' <summary>
    ''' Ereignisbehandlung fr den Button zum Kaufen der Tickets.
    ''' </summary>
    Private Sub ButtonBuyTickets_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles ButtonBuyTickets.Click

        ' Lies die Benutzereingaben aus und speichere sie in der
        ' Ergebnisstruktur.
        resultField.TicketCount = _
            Integer.Parse(TextBoxQuantity.Text, NumberFormatInfo.CurrentInfo)
        resultField.AccountNumber = TextBoxAccountNumber.Text
        resultField.BankNumber = TextBoxBankNumber.Text

        ' Schliee dieses Fenster.
        Me.Close()

    End Sub

    ''' <summary>
    ''' Ereignisbehandlung fr das Eingabefeld fr die Ticket-Anzahl.
    ''' </summary>
    Private Sub TextBoxes_TextChanged(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles TextBoxQuantity.TextChanged, _
        TextBoxBankNumber.TextChanged, TextBoxAccountNumber.TextChanged

        Try

            ' Versuche die Benutzereingabe in eine Zahl umzuwandeln.
            Integer.Parse(TextBoxQuantity.Text, _
                NumberFormatInfo.CurrentInfo)

            ' Aktiviere den Button zum Kaufen der Tickets.
            ButtonBuyTickets.Enabled = True

        Catch ex As FormatException

            ' Die Umwandlung was nicht mglich, also deaktiviere den Button.
            ButtonBuyTickets.Enabled = False

        End Try

    End Sub

End Class