Imports AdventureWorks.Cinema.ServiceAccessLayer.WebService

''' <summary>
''' bersichtsbildschirm.
''' </summary>
Friend Class FormOverview

    ''' <summary>
    ''' Property zum Setzen des Status des Demo-Modus.
    ''' </summary>
    Friend WriteOnly Property IsSampleMode() As Boolean
        Set(ByVal value As Boolean)

            ' Setze den Text des Labels passend zum Status des Demo-Modus.
            If value Then
                LabelSampleMode.Text = My.Resources.Text.SampleModeOn
            Else
                LabelSampleMode.Text = My.Resources.Text.SampleModeOff
            End If

        End Set
    End Property

    ''' <summary>
    ''' Property zum Setzen des aktuellen Kundens.
    ''' </summary>
    Friend WriteOnly Property Customer() As User
        Set(ByVal value As User)

            ' Setze den Text des Labels fr die Begrung des Kundens.
            If Not value Is Nothing Then
                LabelCustomer.Text = _
                    My.Resources.Text.Greeting + " " + value.FirstNames + _
                    " " + value.LastName
            Else
                LabelCustomer.Text = My.Resources.Text.NotLoggedOn
            End If

            ' Aktiviere den Button zum Anmelden eines Kunden nur, wenn kein Kunde
            ' angemeldet ist.
            ButtonLogOnCustomer.Visible = value Is Nothing

            ' Aktiviere die anderen Buttons nur, wenn ein Kunde angemeldet ist.
            ButtonShowTickets.Visible = Not value Is Nothing
            ButtonSearchMoviesByGenres.Visible = Not value Is Nothing
            ButtonLogOffCustomer.Visible = Not value Is Nothing
            ButtonEditCustomer.Visible = Not value Is Nothing

        End Set
    End Property

    ''' <summary>
    ''' Ergebnisstruktur.
    ''' </summary>
    Private resultField As OverviewResult

    ''' <summary>
    ''' Property zum Auslesen der Ergebnisstruktur.
    ''' </summary>
    Friend ReadOnly Property Result() As OverviewResult
        Get
            Return resultField
        End Get
    End Property

    ''' <summary>
    ''' Ereignisbehandlung fr den Knopf zum Anzeigen der Nachrichten.
    ''' </summary>
    Private Sub ButtonShowNews_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles ButtonShowNews.Click

        ' Setze die Markierung in der Ergebnisstruktur.
        resultField.DoShowNews = True

        ' Schliee dieses Fenster.
        Me.Close()

    End Sub

    ' Die folgenden Ereignisbehandlungsmethoden entsprechen dem Schema der
    ' dokumentierten Methode oben.

    Private Sub ButtonShowPerformances_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles ButtonShowPerformances.Click
        resultField.DoShowPerformances = True
        Me.Close()
    End Sub

    Private Sub ButtonShowMovies_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles ButtonShowMovies.Click
        resultField.DoShowMovies = True
        Me.Close()
    End Sub

    Private Sub ButtonSearchMoviesByGenres_Click( _
        ByVal sender As System.Object, ByVal e As System.EventArgs) _
        Handles ButtonSearchMoviesByGenres.Click
        resultField.DoSearchMoviesByGenres = True
        Me.Close()
    End Sub

    Private Sub ButtonShowTickets_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles ButtonShowTickets.Click
        resultField.DoShowTickets = True
        Me.Close()
    End Sub

    Private Sub ButtonLogOnCustomer_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles ButtonLogOnCustomer.Click
        resultField.DoLogOnCustomer = True
        Me.Close()
    End Sub

    Private Sub ButtonEditCustomer_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles ButtonEditCustomer.Click
        resultField.DoEditCustomer = True
        Me.Close()
    End Sub

    Private Sub ButtonLogOffCustomer_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles ButtonLogOffCustomer.Click
        resultField.DoLogOffCustomer = True
        Me.Close()
    End Sub

    ''' <summary>
    ''' Ereignisbehandlung fr das Laden des Fensters.
    ''' </summary>
    Private Sub FormOverview_Load(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles MyBase.Load

        ' Blende das Eingabefeld aus.
        InputPanel.Enabled = False

    End Sub

End Class