Imports AdventureWorks.Cinema.ServiceAccessLayer.WebService

''' <summary>
''' Bildschirm fr die Anzeige einer Filmliste.
''' </summary>
Friend Class FormShowMovies

    ''' <summary>
    ''' Property zum Setzen des Status des Demo-Modus.
    ''' </summary>
    Friend WriteOnly Property IsSampleMode() As Boolean
        Set(ByVal value As Boolean)

            ' Setze den Text des Labels passend zum Status des Demo-Modus.
            If value Then
                LabelSampleMode.Text = My.Resources.Text.SampleModeOn
            Else
                LabelSampleMode.Text = My.Resources.Text.SampleModeOff
            End If

        End Set
    End Property

    ''' <summary>
    ''' Property zum Setzen der Filmliste.
    ''' </summary>
    Friend WriteOnly Property Movies() As List(Of MovieInfo)
        Set(ByVal value As List(Of MovieInfo))

            ' Binde die Filmliste als Datenquelle an die ListBox.
            ListBoxMovies.DisplayMember = "Title"
            ListBoxMovies.DataSource = value

        End Set
    End Property

    ''' <summary>
    ''' Ergebnisfeld: ausgewhlter Film.
    ''' </summary>
    Private movieInfoField As MovieInfo

    ''' <summary>
    ''' Property zum Auslesen des ausgewhlten Filmes.
    ''' </summary>
    Friend ReadOnly Property MovieInfo() As MovieInfo
        Get
            Return movieInfoField
        End Get
    End Property

    ''' <summary>
    ''' Ereignisbehandlung fr die ListBox mit den Filmen.
    ''' </summary>
    Private Sub ListBoxMovies_SelectedIndexChanged( _
        ByVal sender As System.Object, ByVal e As System.EventArgs) _
        Handles ListBoxMovies.SelectedIndexChanged

        ' Deaktiviere den Button zum Anzeigen des Filmes, wenn kein Film
        ' ausgewhlt wurde.
        ButtonMore.Enabled = Not ListBoxMovies.SelectedItem Is Nothing

    End Sub

    ''' <summary>
    ''' Ereignisbehandlung fr den Button zum Anzeigen eines Filmes.
    ''' </summary>
    Private Sub ButtonMore_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles ButtonMore.Click

        ' Lies das ausgewhlte Objekt aus der ListBox aus und versuche es in
        ' einen Film umzuwandeln.
        movieInfoField = TryCast(ListBoxMovies.SelectedItem, MovieInfo)

        ' Schliee dieses Fenster.
        Me.Close()

    End Sub

End Class