Imports AdventureWorks.Cinema.ServiceAccessLayer.WebService

''' <summary>
''' Bildschirm fr die Anzeige einer Nachrichtenliste.
''' </summary>
Friend Class FormShowNews

    ''' <summary>
    ''' Property zum Setzen des Status des Demo-Modus.
    ''' </summary>
    Friend WriteOnly Property IsSampleMode() As Boolean
        Set(ByVal value As Boolean)

            ' Setze den Text des Labels passend zum Status des Demo-Modus.
            If value Then
                LabelSampleMode.Text = My.Resources.Text.SampleModeOn
            Else
                LabelSampleMode.Text = My.Resources.Text.SampleModeOff
            End If

        End Set
    End Property

    ''' <summary>
    ''' Property zum Setzen der Nachrichtenliste.
    ''' </summary>
    WriteOnly Property News() As List(Of NewsItem)
        Set(ByVal value As List(Of NewsItem))

            ' Binde die Nachrichtenliste als Datenquelle an die ListBox.
            ListBoxNews.DisplayMember = "Subject"
            ListBoxNews.DataSource = value

        End Set
    End Property

    ''' <summary>
    ''' Ergebnisfeld: ausgewhlte Nachricht.
    ''' </summary>
    Private newsItemField As NewsItem

    ''' <summary>
    ''' Property zum Auslesen der ausgewhlten Nachricht.
    ''' </summary>
    ReadOnly Property NewsItem() As NewsItem
        Get
            Return newsItemField
        End Get
    End Property

    ''' <summary>
    ''' Ereignisbehandlung fr den Button zum Anzeigen einer Nachricht.
    ''' </summary>
    Private Sub ButtonMore_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles ButtonMore.Click

        ' Lies das ausgewhlte Objekt aus der ListBox aus und versuche es in
        ' eine Nachricht umzuwandeln.
        newsItemField = TryCast(ListBoxNews.SelectedItem, NewsItem)

        ' Close this form
        Me.Close()

    End Sub

    Private Sub ListBoxNews_SelectedIndexChanged( _
        ByVal sender As System.Object, ByVal e As System.EventArgs) _
        Handles ListBoxNews.SelectedIndexChanged

        ' Deaktiviere den Button zum Anzeigen der Nachricht, wenn keine
        ' Nachricht ausgewhlt wurde.
        ButtonMore.Enabled = Not ListBoxNews.SelectedItem Is Nothing

    End Sub

    ''' <summary>
    ''' Ereignisbehandlung fr das Laden des Fensters.
    ''' </summary>
    Private Sub FormShowNews_Load(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles MyBase.Load

        ' Blende das Eingabefeld aus.
        InputPanel.Enabled = False

    End Sub

End Class