Imports System
Imports System.Globalization
Imports AdventureWorks.Cinema.ServiceAccessLayer.WebService

''' <summary>
''' Bildschirm zum Anzeigen einer Nachricht.
''' </summary>
Friend Class FormShowNewsItem

    ''' <summary>
    ''' Property zum Setzen des Status des Demo-Modus.
    ''' </summary>
    Friend WriteOnly Property IsSampleMode() As Boolean
        Set(ByVal value As Boolean)

            ' Setze den Text des Labels passend zum Status des Demo-Modus.
            If value Then
                LabelSampleMode.Text = My.Resources.Text.SampleModeOn
            Else
                LabelSampleMode.Text = My.Resources.Text.SampleModeOff
            End If

        End Set
    End Property

    ''' <summary>
    ''' Property zum Setzen der Nachricht.
    ''' </summary>
    WriteOnly Property NewsItem() As NewsItem
        Set(ByVal value As NewsItem)

            ' Kopiere den Inhalt der Nachricht in die Label.
            With value
                LabelStartDate.Text = _
                    .StartDate.ToString(DateTimeFormatInfo.CurrentInfo)
                LabelSubject.Text = .Subject
                TextNewsItemText.Text = .Text
            End With

        End Set
    End Property

End Class