Imports AdventureWorks.Cinema.ServiceAccessLayer.WebService

''' <summary>
''' Bildschirm fr das Anzeigen einer Ticketliste.
''' </summary>
Friend Class FormShowTickets

    ''' <summary>
    ''' Property zum Setzen des Status des Demo-Modus.
    ''' </summary>
    Friend WriteOnly Property IsSampleMode() As Boolean
        Set(ByVal value As Boolean)

            ' Setze den Text des Labels passend zum Status des Demo-Modus.
            If value Then
                LabelSampleMode.Text = My.Resources.Text.SampleModeOn
            Else
                LabelSampleMode.Text = My.Resources.Text.SampleModeOff
            End If

        End Set
    End Property

    ''' <summary>
    ''' Property zum Setzen der Ticketliste.
    ''' </summary>
    Friend WriteOnly Property Tickets() As List(Of Ticket)
        Set(ByVal value As List(Of Ticket))

            ' Binde die Ticketliste als Datenquelle an die ListBox.
            ListBoxTickets.DataSource = value

        End Set
    End Property

    ''' <summary>
    ''' Ereignisbehandlung fr die ListBox mit den Tickets.
    ''' </summary>
    Private Sub ListBoxTickets_SelectedIndexChanged( _
        ByVal sender As System.Object, ByVal e As System.EventArgs) _
        Handles ListBoxTickets.SelectedIndexChanged

        ' Lies das ausgewhlte Objekt aus der ListBox aus und versuche es in ein
        ' Ticket umzuwandeln.
        Dim ticket As Ticket = TryCast(ListBoxTickets.SelectedItem, Ticket)
        If Not ticket Is Nothing Then

            ' Zeige den ausgewhlten Ticket-Code an.
            LabelTicketCode.Text = ticket.TicketCode

        End If

    End Sub

End Class