using System;
using System.Collections.Generic;
using System.Text;

namespace AdventureWorks.Cinema.ServiceAccessLayer.Caching
{
    /// <summary>
    /// Wird von <see cref="RequestCache&lt;TRequest, TResponse&gt;"/> und
    /// <see cref="StaticCache&lt;TResponse&gt;"/> benutzt, um zu ermitteln, 
    /// ob Eintrge im Cache im Hinblick auf das Eintragedatum immer noch 
    /// gltig sind.
    /// </summary>
    /// <remarks>Diese Schnitstelle wird nur von <see cref="CacheManager"/>
    /// implementiert.</remarks>
    internal interface ICacheExpirationPolicy
    {
        bool IsExpired(DateTime created);
    }
}
