using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;

namespace AdventureWorks.Cinema.ServiceAccessLayer.Caching
{
    /// <summary>
    /// Reprsentiert eine Anfrage von
    /// <see cref="IServiceAccessProvider.GetMoviesByTitle(string)"/>.
    /// </summary>
    internal sealed class MoviesByTitleCacheRequest : Request
    {
        public MoviesByTitleCacheRequest(string movieTitle)
        {
            // Erzeugt ein XML Dokument um eine XML Reprsentation dieser
            // Anfrage zu erzeugen. Das XML Dokument selbst wird 
            // eigentlich nicht bentigt; es wird nur benutzt, um auf eine
            // einfache und sichere Art und Weise einen XML String zu
            // erzeugen.

            XmlDocument doc = new XmlDocument();
            XmlElement root = doc.CreateElement(
                typeof(MoviesByTitleCacheRequest).Name);
            doc.AppendChild(root);

            XmlElement movieTitleElement = doc.CreateElement("movieTitle");
            movieTitleElement.InnerText = movieTitle;
            root.AppendChild(movieTitleElement);

            Xml = doc.InnerXml;
        }
    }
}
