using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;

namespace AdventureWorks.Cinema.ServiceAccessLayer.Caching
{
    /// <summary>
    /// Reprsentiert eine Anfrage von
    /// <see cref="IServiceAccessProvider.GetPerformance(Guid)"/>.
    /// </summary>
    internal sealed class PerformanceByGuidCacheRequest : Request
    {
        public PerformanceByGuidCacheRequest(Guid performanceId)
        {
            // Erzeugt ein XML Dokument um eine XML Reprsentation dieser
            // Anfrage zu erzeugen. Das XML Dokument selbst wird 
            // eigentlich nicht bentigt; es wird nur benutzt, um auf eine
            // einfache und sichere Art und Weise einen XML String zu
            // erzeugen.

            XmlDocument doc = new XmlDocument();
            XmlElement root = doc.CreateElement(
                typeof(PerformanceByGuidCacheRequest).Name);
            doc.AppendChild(root);

            XmlElement performanceIdElement = doc.CreateElement(
                "performanceId");
            performanceIdElement.InnerText = XmlConvert.ToString(performanceId);
            root.AppendChild(performanceIdElement);

            Xml = doc.InnerXml;
        }
    }
}
