using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;

namespace AdventureWorks.Cinema.ServiceAccessLayer.Caching
{
    /// <summary>
    /// Reprsentiert eine Anfrage von
    /// <see cref="IServiceAccessProvider.GetPerformancesOfMovie(Guid)"/>
    /// </summary>
    internal sealed class PerformanceInfoOfMovieCacheRequest : Request
    {
        public PerformanceInfoOfMovieCacheRequest(Guid movieId)
        {
            // Erzeugt ein XML Dokument um eine XML Reprsentation dieser
            // Anfrage zu erzeugen. Das XML Dokument selbst wird 
            // eigentlich nicht bentigt; es wird nur benutzt, um auf eine
            // einfache und sichere Art und Weise einen XML String zu
            // erzeugen.

            XmlDocument doc = new XmlDocument();
            XmlElement root = doc.CreateElement(
                typeof(PerformanceInfoOfMovieCacheRequest).Name);
            doc.AppendChild(root);

            XmlElement movieIdElement = doc.CreateElement("movieId");
            movieIdElement.InnerText = XmlConvert.ToString(movieId);
            root.AppendChild(movieIdElement);

            Xml = doc.InnerXml;
        }
    }
}
