using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;

namespace AdventureWorks.Cinema.ServiceAccessLayer.Caching
{
    /// <summary>
    /// Reprsentiert eine Anfrage von
    /// <see cref="IServiceAccessProvider.GetUndispatchedTickets(string)"/>
    /// </summary>
    internal sealed class UndispatchedTicketsCacheRequest : Request
    {
        public UndispatchedTicketsCacheRequest(string ticketCode)
        {
            // Erzeugt ein XML Dokument um eine XML Reprsentation dieser
            // Anfrage zu erzeugen. Das XML Dokument selbst wird 
            // eigentlich nicht bentigt; es wird nur benutzt, um auf eine
            // einfache und sichere Art und Weise einen XML String zu
            // erzeugen.

            XmlDocument doc = new XmlDocument();
            XmlElement root = doc.CreateElement(
                typeof(UndispatchedTicketsCacheRequest).Name);
            doc.AppendChild(root);

            XmlElement ticketCodeElement = doc.CreateElement("ticketCode");
            ticketCodeElement.InnerText = ticketCode;
            root.AppendChild(ticketCodeElement);

            Xml = doc.InnerXml;
        }
    }
}
