using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;

namespace AdventureWorks.Cinema.ServiceAccessLayer.Caching
{
    /// <summary>
    /// Reprsentiert eine Anfrage von
    /// <see cref="IServiceAccessProvider.GetUser(Guid)"/>
    /// </summary>
    internal sealed class UserCacheRequest : Request
    {
        public UserCacheRequest(Guid userId)
        {
            // Erzeugt ein XML Dokument um eine XML Reprsentation dieser
            // Anfrage zu erzeugen. Das XML Dokument selbst wird 
            // eigentlich nicht bentigt; es wird nur benutzt, um auf eine
            // einfache und sichere Art und Weise einen XML String zu
            // erzeugen.

            XmlDocument doc = new XmlDocument();
            XmlElement root = doc.CreateElement(typeof(UserCacheRequest).Name);
            doc.AppendChild(root);

            XmlElement userIdElement = doc.CreateElement("userId");
            userIdElement.InnerText = XmlConvert.ToString(userId);
            root.AppendChild(userIdElement);

            Xml = doc.InnerXml;
        }
    }
}
